##### basic_random_access_file::close (2 of 2 overloads)

Inherited from basic_file.

Close the file.

    void close(
        asio::error_code & ec);

This function is used to close the file. Any asynchronous read or write operations will be cancelled immediately, and will complete with the `asio::error::operation_aborted` error.

###### Parameters

ec

  Set to indicate what error occurred, if any. Note that, even if the function indicates an error, the underlying descriptor is closed.

###### Example

    asio::stream_file file(my_context);
    ...
    asio::error_code ec;
    file.close(ec);
    if (ec)
    {
      // An error occurred.
    }